SVNKit Home

## org.tmatesoft.svn.core.wc
Class SVNBasicClient.SVNRepositoryLocation

    java.lang.Object
      org.tmatesoft.svn.core.wc.SVNBasicClient.SVNRepositoryLocation

Enclosing class:
  SVNBasicClient

protected static class SVNBasicClient.SVNRepositoryLocation
extends Object

Constructor Summary
`SVNBasicClient.SVNRepositoryLocation(SVNURL url, long rev)`

Method Summary
`long` `getRevisionNumber()`
`SVNURL` `getURL()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SVNBasicClient.SVNRepositoryLocation

    public SVNBasicClient.SVNRepositoryLocation(SVNURL url,
                                                long rev)

Method Detail

### getRevisionNumber

    public long getRevisionNumber()

### getURL

    public SVNURL getURL()

SVNKit Home

Copyright © 2004-2008 TMate Software Ltd. All Rights Reserved.